Bug 250950 - boa: DEBUG_CGI_ENV doesn't print the environment variables
Summary: boa: DEBUG_CGI_ENV doesn't print the environment variables
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boa   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-06 00:57 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: boa-0.94.14-0.7.rc21.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-11 18:34:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cgi.c patch - prints the environment variables and respective values (620 bytes, patch)
2007-08-06 00:59 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2007-08-06 00:57:52 UTC
Description of problem:
Activating the "CGI Environment" debug value doesn't produces the expected
result.

Version-Release number of selected component (if applicable):
boa-0.94.14-0.5.rc21

How reproducible:
Always

Steps to Reproduce:
1. start the boa daemon with "CGI Environment" bit in the debug_level
2. execute a CGI
  
Actual results:
It only prints the timestamps (no variables names and no values)

Expected results:
Print n lines in the stderr (one for each environment variable)

Comment 1 Jose Pedro Oliveira 2007-08-06 00:59:40 UTC
Created attachment 160722 [details]
cgi.c patch - prints the environment variables and respective values

Comment 2 Jose Pedro Oliveira 2007-08-06 01:06:19 UTC
Without the previous patch the following output would appear in the error_log
(note: only one line)
----------
[05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16
+0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000]
[05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16
+0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000]
[05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16
+0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000]
[05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16
+0000] [05/Aug/2007:22:49:16 +0000] [05/Aug/2007:22:49:16 +0000] cgi.c -
environment variable for cgi: "(null)"
----------


The output produced with the patch is the following:
(one line for each environment variable)
----------
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi: "PATH="
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi:
"SERVER_SOFTWARE=Boa/0.94.14rc21"
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi:
"SERVER_NAME=localhost.localdomain"
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi:
"GATEWAY_INTERFACE=CGI/1.1"
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi: "SERVER_PORT=80"
[06/Aug/2007:02:06:43 +0000] cgi.c - environment variable for cgi:
"SERVER_ADMIN=root@localhost"
...
----------

Comment 3 Matthias Saou 2007-08-06 10:50:28 UTC
Good catch! I've applied your patch to the devel branch and rebuilt the package.
I don't think it's worth issuing an F7 update for this, though. And also, have
you tried lighttpd? It has much better CGI/FastCGI support than boa IMHO.

Comment 4 Jose Pedro Oliveira 2007-08-11 18:34:15 UTC
(In reply to comment #3)
> Good catch! I've applied your patch to the devel branch and rebuilt the package.

Thanks Matthias.

> I don't think it's worth issuing an F7 update for this, though.

Good enough.

> And also, have
> you tried lighttpd? It has much better CGI/FastCGI support than boa IMHO.

I'll give it a try although it appears to be a little overkill for what I want:
I just need a small footprint web server for a ARM based embedded system (Flash:
8MB).




Note You need to log in before you can comment on or make changes to this bug.